# IncomingDataQueue::SyncSourcesIterator Class Reference

iterator through the list of synchronizations sources in this session More...

`#include <iqueue.h>`

List of all members.

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef SyncSource | value_type
typedef ptrdiff_t | difference_type
typedef const SyncSource * | pointer
typedef const SyncSource & | reference

## Public Member Functions

| SyncSourcesIterator (SyncSourceLink *l=NULL)
| SyncSourcesIterator (const SyncSourcesIterator &si)
reference | operator* () const
pointer | operator-> () const
SyncSourcesIterator & | operator++ ()
SyncSourcesIterator | operator++ (int)

## Friends

bool | operator== (const SyncSourcesIterator &l, const SyncSourcesIterator &r)
bool | operator!= (const SyncSourcesIterator &l, const SyncSourcesIterator &r)

## Detailed Description

iterator through the list of synchronizations sources in this session

## Member Typedef Documentation

typedef ptrdiff_t IncomingDataQueue::SyncSourcesIterator::difference_type

typedef std::forward_iterator_tag IncomingDataQueue::SyncSourcesIterator::iterator_category

typedef const SyncSource* IncomingDataQueue::SyncSourcesIterator::pointer

typedef const SyncSource& IncomingDataQueue::SyncSourcesIterator::reference

typedef SyncSource IncomingDataQueue::SyncSourcesIterator::value_type

## Constructor & Destructor Documentation

IncomingDataQueue::SyncSourcesIterator::SyncSourcesIterator | ( | SyncSourceLink * | l = `NULL` ) | `[inline]`

IncomingDataQueue::SyncSourcesIterator::SyncSourcesIterator | ( | const SyncSourcesIterator & | si ) | `[inline]`

## Member Function Documentation

reference IncomingDataQueue::SyncSourcesIterator::operator* | ( | ) | const`[inline]`

SyncSourcesIterator IncomingDataQueue::SyncSourcesIterator::operator++ | ( | int | ) | `[inline]`

SyncSourcesIterator& IncomingDataQueue::SyncSourcesIterator::operator++ | ( | ) | `[inline]`

pointer IncomingDataQueue::SyncSourcesIterator::operator-> | ( | ) | const`[inline]`

## Friends And Related Function Documentation

bool operator!= | ( | const SyncSourcesIterator & | l,
|  | const SyncSourcesIterator & | r
| ) |  | `[friend]`

bool operator== | ( | const SyncSourcesIterator & | l,
|  | const SyncSourcesIterator & | r
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- iqueue.h